게시판KSB융합연구단은 인간중심 초연결 지능정보사회를 구현하는데 이바지하겠습니다.

Q&A

tensorflow 1.14 version

  • Name 김도오
  • Registration Date 2019-08-22
  • Hits 38
tensorflow-probability lib 필요하여 1.14 version을 사용하려고 install 하였는데.

Traceback (most recent call last):
File "", line 1, in
File "/home/csle/miniconda3/envs/tensorflow/lib/python3.5/site-packages/tensorflow/__init__.py", line 28, in
from tensorflow.python import pywrap_tensorflow # pylint: disable=unused-import
File "/home/csle/miniconda3/envs/tensorflow/lib/python3.5/site-packages/tensorflow/python/__init__.py", line 52, in
from tensorflow.core.framework.graph_pb2 import *
File "/home/csle/miniconda3/envs/tensorflow/lib/python3.5/site-packages/tensorflow/core/framework/graph_pb2.py", line 16, in
from tensorflow.core.framework import node_def_pb2 as tensorflow_dot_core_dot_framework_dot_node__def__pb2
File "/home/csle/miniconda3/envs/tensorflow/lib/python3.5/site-packages/tensorflow/core/framework/node_def_pb2.py", line 16, in
from tensorflow.core.framework import attr_value_pb2 as tensorflow_dot_core_dot_framework_dot_attr__value__pb2
File "/home/csle/miniconda3/envs/tensorflow/lib/python3.5/site-packages/tensorflow/core/framework/attr_value_pb2.py", line 16, in
from tensorflow.core.framework import tensor_pb2 as tensorflow_dot_core_dot_framework_dot_tensor__pb2
File "/home/csle/miniconda3/envs/tensorflow/lib/python3.5/site-packages/tensorflow/core/framework/tensor_pb2.py", line 16, in
from tensorflow.core.framework import resource_handle_pb2 as tensorflow_dot_core_dot_framework_dot_resource__handle__pb2
File "/home/csle/miniconda3/envs/tensorflow/lib/python3.5/site-packages/tensorflow/core/framework/resource_handle_pb2.py", line 23, in
serialized_pb=_b('\n/tensorflow/core/framework/resource_handle.proto\x12\ntensorflow\"r\n\x13ResourceHandleProto\x12\x0e\n\x06\x64\x65vice\x18\x01 \x01(\t\x12\x11\n\tcontainer\x18\x02 \x01(\t\x12\x0c\n\x04name\x18\x03 \x01(\t\x12\x11\n\thash_code\x18\x04 \x01(\x04\x12\x17\n\x0fmaybe_type_name\x18\x05 \x01(\tBn\n\x18org.tensorflow.frameworkB\x0eResourceHandleP\x01Z=github.com/tensorflow/tensorflow/tensorflow/go/core/framework\xf8\x01\x01\x62\x06proto3')
TypeError: __new__() got an unexpected keyword argument 'serialized_options'

이런 log가 떠서 혹시 version이 1.6으로 고정이 된건지 알고 싶습니다.
감사합니다.

Answer

안녕하세요. 답변을 드리기 위해서 조금더 구체적으로 질문을 적어주시면 좋겠습니다.
(1) TensorFlow 1.14 버전을 KSB툴박스(docker image) 내부에 설치하신 것인가요?
(2) 위의 에러가 TensorFlow 1.14 버전을 설치하실 때 발생한것인지, 정상적으로 설치 후에 어떤 워크플로우를 실행하실때 발생하신 에러인지 설명을 부탁드립니다.

감사합니다.